#
# spec file for package golang-github-jteeuwen-go-bindata
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           golang-github-jteeuwen-go-bindata
Version:        3.0.7+git20151023.72.a0ff256
Release:        5.13
Summary:        A small utility which generates Go code from any file
License:        CC0-1.0
Group:          Development/Languages/Golang
URL:            https://github.com/jteeuwen/go-bindata
Source:         go-bindata-v%{version}.tar.xz
BuildRequires:  golang-packaging
BuildRequires:  xz
Provides:       go-bindata = %{version}
Obsoletes:      go-bindata < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{go_provides}
Provides:       golang(github.com/jteeuwen/go-bindata)
ExcludeArch:    s390

%description
This package converts any file into manageable Go source code. Useful for embedding binary data into a go program. The file data is optionally gzip compressed before being converted to a raw byte slice.

It comes with a command line tool in the go-bindata sub directory. This tool offers a set of command line options, used to customize the output being generated.

%prep
%setup -q -n go-bindata-v%{version}

%build
%{goprep} github.com/jteeuwen/go-bindata
# go1.16+ default is GO111MODULE=on set to auto
# Upstream project is archived and will not be converting to modules
# In a future version of go support for non-module projects will be removed
export GO111MODULE=auto
%{gobuild} ...

%install
%{goinstall}
%if 0%{?go_filelist:1} > 0
 %{go_filelist}
%else
 %{gofilelist}
%endif

%check
# go1.16+ default is GO111MODULE=on set to auto
# Upstream project is archived and will not be converting to modules
# In a future version of go support for non-module projects will be removed
export GO111MODULE=auto
%{gotest} github.com/jteeuwen/go-bindata

%files -f file.lst
%defattr(-,root,root,-)
%doc README.md
%license LICENSE
/usr/bin/go-bindata

%changelog
* Tue Mar 16 2021 Jeff Kowalczyk <jkowalczyk@suse.com>
- Set GO111MODULE=auto to build with go1.16+
  * Default changed to GO111MODULE=on in go1.16
  * Upstream project is archived and will not be converting to modules
  * go1.16 adds binary data embed capability that can replace this package
    once there are no dependencies
* Wed Jun 13 2018 dcassany@suse.com
- Make use of %%license macro
* Wed Jun 13 2018 dcassany@suse.com
-Make use of %%license macro
* Thu Feb  1 2018 ro@suse.de
- do not build on s390, only on s390x (no go on s390)
* Mon Jun 12 2017 jmassaguerpla@suse.com
- make it compatible with old version 14 of golang-packaging where the
  macro gofilelist was called go_filelist.
  This is so we can use this package with go 1.6 and golang-packaging
  14.9.* in order to fix bsc#1039663.
* Mon Jun 12 2017 jmassaguerpla@suse.com
- use commit date in version otherwise this package was seen as
  a downgrade from a previous package
  see https://build.opensuse.org/request/show/503052
* Fri Jun  2 2017 jmassaguerpla@suse.com
- change the way we "calculate" the version so that it is always
  incremental. Now we are using the date, but that can conflict if
  2 commits are done in the same day and then zypper wouldn't know
  which is the newest one. Instead us the offset from the previous
  tag, that is, the number of commits
* Tue May 16 2017 jmassaguerpla@suse.com
- add missing provides. For an unknown reason, golang macros are
  not generating the golang(...) provides.
* Fri Apr 28 2017 jmassaguerpla@suse.com
- go_filelist macro should be called gofilelist
* Mon Oct  3 2016 msabate@suse.com
- Initial commit
